Show / Hide Table of Contents

# Struct ImVector

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImVector

### Fields

| Improve this Doc View Source

#### Capacity

##### Declaration

    public readonly int Capacity

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Data

##### Declaration

    public readonly IntPtr Data

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Size

##### Declaration

    public readonly int Size

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Address<T>(Int32)

##### Declaration

    public IntPtr Address<T>(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.IntPtr |

##### Type Parameters

Name | Description
--- | ---
T |

| Improve this Doc View Source

#### Ref<T>(Int32)

##### Declaration

    public T Ref<T>(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
T |

##### Type Parameters

Name | Description
--- | ---
T |